%define anolis_release 5
Name:           lorax-templates-anolis
Version:        8.3
Release:        4.%{anolis_release}%{?dist}
Summary:        Anolis OS build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
Source0:        lorax-templates-anolis-8.3-4.tar.gz

Patch1000: 1000-lorax-templates-anolis-add-loongarch64-support.patch
Patch1001: 1001-install-kernel-with-version-suffixed.patch

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-anolis

%description
Anolis OS specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup
%patch1000 -p1
%patch1001 -p1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-anolis/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Thu Feb 24 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.5
- Fix efi templates

* Mon Feb 21 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.4
- Install multi kernel boot entry

* Wed Dec  1 2021 Liwei Ge <geliwei@openanolis.org> - 8.3-4.3
- Remove grub2-tools-efi from loongarch64

* Fri Sep 24 2021 Liwei Ge <geliwei@openanolis.org> - 8.3-4.2
- Add loongarch64 support

* Fri Dec 25 2020 Jacob Wang <jacob.wang@openanolis.org> - 8.3-4.1 
- Initial version for Anolis OS 
